/*
 * Copyright (C) 2016 Texas Instruments Incorporated - http://www.ti.com/ 
 * 
 * 
 *  Redistribution and use in source and binary forms, with or without 
 *  modification, are permitted provided that the following conditions 
 *  are met:
 *
 *    Redistributions of source code must retain the above copyright 
 *    notice, this list of conditions and the following disclaimer.
 *
 *    Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the 
 *    documentation and/or other materials provided with the   
 *    distribution.
 *
 *    Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS 
 *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT 
 *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
 *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT 
 *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
 *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT 
 *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT 
 *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE 
 *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
*/

#define NX 160
#define NH 16
#define FNAME "t6"
#define MAXERROR 10

DATA x[NX] ={
16647,
10692,
25132,
-14932,
-5281,
-18810,
-30435,
-27449,
22974,
-10473,
-2219,
27116,
-17788,
23726,
10264,
25636,
-778,
32285,
-8302,
2056,
-20886,
127,
-5100,
10513,
11380,
29971,
-20194,
-25480,
4263,
30747,
-31212,
24262,
-31007,
1279,
-20166,
14135,
-16340,
28433,
-23778,
1417,
25899,
28992,
-10808,
-4105,
-1891,
-22983,
-23864,
2129,
14797,
-6639,
-9279,
-14072,
24158,
8284,
-16963,
31331,
9207,
-17705,
11883,
10867,
-23940,
-31294,
-15585,
-25133,
-28226,
23129,
-20950,
-30644,
15330,
2393,
-14679,
-8621,
-31924,
25506,
23987,
-16106,
4553,
-22331,
6184,
-11070,
10394,
23831,
4431,
31488,
19125,
-22768,
21825,
-20195,
9108,
11075,
17831,
-7877,
-3829,
-1111,
7084,
-21234,
-32636,
19020,
891,
-18794,
-25989,
-22457,
-6062,
-6046,
-29315,
28954,
-22940,
-7578,
-12383,
-21723,
25994,
-11618,
15335,
-5839,
-6568,
361,
-21673,
1621,
9253,
-31707,
22075,
19887,
12962,
-2498,
-27354,
21018,
-20119,
-3582,
-31919,
-12535,
24598,
21971,
-10939,
24949,
-1332,
3985,
7596,
10610,
7643,
12133,
665,
14022,
996,
6938,
30585,
21110,
-11944,
5747,
-24236,
-16099,
19859,
10999,
-31875,
4035,
-2978,
26538,
-14277,
-28506,
-1535,
31700,
};

#pragma DATA_SECTION(h,".coeffs")
DATA h[NH] ={ /* b0 b1 b2 ... b(NH-1) */
2983,
432,
1075,
1926,
-2782,
-3525,
295,
-3484,
-344,
-2150,
2028,
837,
-3423,
2760,
1848,
2875,
};

#pragma DATA_SECTION(db,".dbuffer")
DATA db[NH+2] ;

DATA rtest[NX] ={
1516,
1193,
2976,
302,
-637,
-3493,
-7204,
-6937,
594,
-5186,
5013,
9037,
1902,
4640,
6757,
4329,
2531,
3761,
-3898,
-1506,
-15447,
-2852,
-10363,
-764,
1726,
4981,
440,
1411,
4292,
-2106,
-1720,
6990,
888,
-5408,
-557,
746,
-4851,
3693,
1342,
11519,
-697,
-92,
327,
3794,
-217,
-8577,
-4570,
-4904,
-2574,
-6317,
9644,
2856,
991,
-1424,
6633,
8379,
693,
-4219,
6847,
-5195,
-12674,
-2325,
-2130,
-4741,
-10205,
4708,
4317,
-1761,
11218,
6464,
654,
6477,
-1301,
3417,
257,
-1635,
4089,
-9383,
-4177,
2876,
-4741,
-589,
-172,
4410,
11576,
-12000,
853,
-4429,
-5375,
3889,
-6631,
-517,
-212,
-4432,
3979,
-7018,
2066,
4308,
-2889,
2617,
2294,
-1384,
-5591,
5585,
1805,
7854,
-3891,
4859,
9161,
-6966,
-2307,
2986,
2006,
6627,
-8033,
-832,
151,
-10916,
5576,
-10317,
7910,
2285,
-5694,
7458,
-2854,
1687,
-3766,
-5162,
2089,
-9039,
-2623,
8854,
-2507,
11455,
-3646,
5662,
7271,
-4254,
-3078,
-2779,
974,
-310,
-8613,
-3839,
4808,
120,
1074,
2358,
-4508,
-7028,
-286,
-1566,
-2004,
4944,
1589,
3018,
957,
1647,
3793,
1817,
};

DATA r[NX];
